Package org.apache.felix.framework

## Class FakeBundle

- java.lang.Object
- - org.apache.felix.framework.FakeBundle

All Implemented Interfaces:
  `java.lang.Comparable<org.osgi.framework.Bundle>`, `org.osgi.framework.Bundle`, `org.osgi.framework.BundleReference`, `org.osgi.framework.wiring.BundleRevisions`

    public class FakeBundle
    extends java.lang.Object
    implements org.osgi.framework.Bundle

### Field Summary

### Fields inherited from interface org.osgi.framework.Bundle

`ACTIVE, INSTALLED, RESOLVED, SIGNERS_ALL, SIGNERS_TRUSTED, START_ACTIVATION_POLICY, START_TRANSIENT, STARTING, STOP_TRANSIENT, STOPPING, UNINSTALLED`

### Constructor Summary

Constructors
`FakeBundle​(java.util.Map certs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `adapt​(java.lang.Class arg0)`
`int` `compareTo​(org.osgi.framework.Bundle arg0)`
`boolean` `equals​(java.lang.Object o)`
`java.util.Enumeration` `findEntries​(java.lang.String arg0, java.lang.String arg1, boolean arg2)`
`org.osgi.framework.Bundle` `getBundle()`
`org.osgi.framework.BundleContext` `getBundleContext()`
`long` `getBundleId()`
`java.io.File` `getDataFile​(java.lang.String arg0)`
`java.net.URL` `getEntry​(java.lang.String arg0)`
`java.util.Enumeration` `getEntryPaths​(java.lang.String arg0)`
`java.util.Dictionary` `getHeaders()`
`java.util.Dictionary` `getHeaders​(java.lang.String arg0)`
`long` `getLastModified()`
`java.lang.String` `getLocation()`
`org.osgi.framework.ServiceReference[]` `getRegisteredServices()`
`java.net.URL` `getResource​(java.lang.String arg0)`
`java.util.Enumeration` `getResources​(java.lang.String arg0)`
`java.util.List<org.osgi.framework.wiring.BundleRevision>` `getRevisions()`
`org.osgi.framework.ServiceReference[]` `getServicesInUse()`
`java.util.Map` `getSignerCertificates​(int arg0)`
`int` `getState()`
`java.lang.String` `getSymbolicName()`
`org.osgi.framework.Version` `getVersion()`
`int` `hashCode()`
`boolean` `hasPermission​(java.lang.Object arg0)`
`java.lang.Class` `loadClass​(java.lang.String arg0)`
`void` `start()`
`void` `start​(int arg0)`
`void` `stop()`
`void` `stop​(int arg0)`
`java.lang.String` `toString()`
`void` `uninstall()`
`void` `update()`
`void` `update​(java.io.InputStream arg0)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Constructor Detail

#### FakeBundle

    public FakeBundle​(java.util.Map certs)

### Method Detail

#### findEntries

    public java.util.Enumeration findEntries​(java.lang.String arg0,
                                             java.lang.String arg1,
                                             boolean arg2)

Specified by:
  `findEntries` in interface `org.osgi.framework.Bundle`

#### getBundleContext

    public org.osgi.framework.BundleContext getBundleContext()

Specified by:
  `getBundleContext` in interface `org.osgi.framework.Bundle`

#### getBundleId

    public long getBundleId()

Specified by:
  `getBundleId` in interface `org.osgi.framework.Bundle`

#### getEntry

    public java.net.URL getEntry​(java.lang.String arg0)

Specified by:
  `getEntry` in interface `org.osgi.framework.Bundle`

#### getEntryPaths

    public java.util.Enumeration getEntryPaths​(java.lang.String arg0)

Specified by:
  `getEntryPaths` in interface `org.osgi.framework.Bundle`

#### getHeaders

    public java.util.Dictionary getHeaders()

Specified by:
  `getHeaders` in interface `org.osgi.framework.Bundle`

#### getHeaders

    public java.util.Dictionary getHeaders​(java.lang.String arg0)

Specified by:
  `getHeaders` in interface `org.osgi.framework.Bundle`

#### getLastModified

    public long getLastModified()

Specified by:
  `getLastModified` in interface `org.osgi.framework.Bundle`

#### getLocation

    public java.lang.String getLocation()

Specified by:
  `getLocation` in interface `org.osgi.framework.Bundle`

#### getRegisteredServices

    public org.osgi.framework.ServiceReference[] getRegisteredServices()

Specified by:
  `getRegisteredServices` in interface `org.osgi.framework.Bundle`

#### getResource

    public java.net.URL getResource​(java.lang.String arg0)

Specified by:
  `getResource` in interface `org.osgi.framework.Bundle`

#### getResources

    public java.util.Enumeration getResources​(java.lang.String arg0)
                                       throws java.io.IOException

Specified by:
  `getResources` in interface `org.osgi.framework.Bundle`
Throws:
  `java.io.IOException`

#### getServicesInUse

    public org.osgi.framework.ServiceReference[] getServicesInUse()

Specified by:
  `getServicesInUse` in interface `org.osgi.framework.Bundle`

#### getSignerCertificates

    public java.util.Map getSignerCertificates​(int arg0)

Specified by:
  `getSignerCertificates` in interface `org.osgi.framework.Bundle`

#### getState

    public int getState()

Specified by:
  `getState` in interface `org.osgi.framework.Bundle`

#### getSymbolicName

    public java.lang.String getSymbolicName()

Specified by:
  `getSymbolicName` in interface `org.osgi.framework.Bundle`

#### getVersion

    public org.osgi.framework.Version getVersion()

Specified by:
  `getVersion` in interface `org.osgi.framework.Bundle`

#### hasPermission

    public boolean hasPermission​(java.lang.Object arg0)

Specified by:
  `hasPermission` in interface `org.osgi.framework.Bundle`

#### loadClass

    public java.lang.Class loadClass​(java.lang.String arg0)
                              throws java.lang.ClassNotFoundException

Specified by:
  `loadClass` in interface `org.osgi.framework.Bundle`
Throws:
  `java.lang.ClassNotFoundException`

#### start

    public void start()
               throws org.osgi.framework.BundleException

Specified by:
  `start` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

#### start

    public void start​(int arg0)
               throws org.osgi.framework.BundleException

Specified by:
  `start` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

#### stop

    public void stop()
              throws org.osgi.framework.BundleException

Specified by:
  `stop` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

#### stop

    public void stop​(int arg0)
              throws org.osgi.framework.BundleException

Specified by:
  `stop` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

#### uninstall

    public void uninstall()
                   throws org.osgi.framework.BundleException

Specified by:
  `uninstall` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

#### update

    public void update()
                throws org.osgi.framework.BundleException

Specified by:
  `update` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

#### update

    public void update​(java.io.InputStream arg0)
                throws org.osgi.framework.BundleException

Specified by:
  `update` in interface `org.osgi.framework.Bundle`
Throws:
  `org.osgi.framework.BundleException`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### adapt

    public java.lang.Object adapt​(java.lang.Class arg0)

Specified by:
  `adapt` in interface `org.osgi.framework.Bundle`

#### getDataFile

    public java.io.File getDataFile​(java.lang.String arg0)

Specified by:
  `getDataFile` in interface `org.osgi.framework.Bundle`

#### compareTo

    public int compareTo​(org.osgi.framework.Bundle arg0)

Specified by:
  `compareTo` in interface `java.lang.Comparable<org.osgi.framework.Bundle>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getBundle

    public org.osgi.framework.Bundle getBundle()

Specified by:
  `getBundle` in interface `org.osgi.framework.BundleReference`

#### getRevisions

    public java.util.List<org.osgi.framework.wiring.BundleRevision> getRevisions()

Specified by:
  `getRevisions` in interface `org.osgi.framework.wiring.BundleRevisions`